def removeDuplicates(st: str):
    st = list(st)
    letters = set()

    i = 0

    while i < len(st):
        if st[i] in letters:
            st.pop(i)
        else:
            letters.add(st[i])
            i += 1
    
    return "".join(st)
